CONFORMAL3PROJ(1)

NAME
Conformal3Proj -- conformal projections for a triaxial ellipsoid

SYNOPSIS
Conformal3Proj [ -r ] [ -t a b c | -e b e2 k2 kp2 ] [ -tx ax bx cx | -ex bx e2x k2x kp2x ] [ -d | -: ] [ -w ] [ -p prec ] [ --comment-delimiter commentdelim ] [ --version | -h | --help ] [ --input-file infile | --input-string instring ] [ --line-separator linesep ] [ --output-file outfile ]

DESCRIPTION
Project points using the Jacobi conformal projection. By default, the coordinates of points on a triaxial ellipsoid are read from standard input as ellipsoidal latitude and longitude and the projected points are written to standard output as easting and northing. The scale of the projection is appended to the output. Specifying -r causes the reverse projection to be performed.

If either -tx or -ex is given, then this describes a target ellipsoid onto which the points are conformally mapped via the Jacobi projections to intermediate spheres. In this case, the meridian convergence and the scale are appended to the output.

OPTIONS

-r  perform the reverse projection.

-t a b c
    specify the ellipsoid via its major semiaxis a, median semiaxis b, and minor semixis c. By default, we have a = 6378172 m, b = 6378102 m, c = 6356752 m, an approximate triaxial model of the earth. (With this model omg = 0deg, corresponds to lon = -14.93deg.

-e b e2 k2 kp2
    specify the ellipsoid via the median semiaxis, b and the shape parameters e2 = (a^2 - c^2)/b^2, k2 = (b^2 - c^2)/(a^2 - c^2), and kp2 = (a^2 - b^2)/(a^2 - c^2). Simple fractions are allowed for e2, k2, and kp2. Internally, the supplied values of k2 and kp2 are normalized so that k2 + kp2 = 1.

-tx ax bx cx
    specify the target ellipsoid via its semiaxes.

-ex bx e2x k2x kp2x
    specify the target ellipsoid via its median semiaxes and shape parameters.

-d  output angles as degrees, minutes, seconds instead of decimal degrees.

-:  like -d, except use : as a separator instead of the d, ', and " delimiters.

-w  toggle the longitude first flag (it starts off); if the flag is on, then on input and output, longitude precedes latitude (except that, on input, this can be overridden by a hemisphere designator, N, S, E, W).

-p prec
    set the output precision to prec (default 3). For distances, prec is the number of digits after the decimal point for ellipsoids which are approximately the same size as the Earth; for other ellipsoids the precision is adjusted to retain the same relative precision. For latitudes and longitudes (in degrees), the number of digits after the decimal point is prec + 5. For the scale, the precision is prec + 7.

--comment-delimiter commentdelim
    set the comment delimiter to commentdelim (e.g., "#" or "//"). If set, the input lines will be scanned for this delimiter and, if found, the delimiter and the rest of the line will be removed prior to processing and subsequently appended to the output line (separated by a space).

--version
    print version and exit.

-h  print usage and exit.

--help
    print full documentation and exit.

--input-file infile
    read input from the file infile instead of from standard input; a file name of "-" stands for standard input.

--input-string instring
    read input from the string instring instead of from standard input. All occurrences of the line separator character (default is a semicolon) in instring are converted to newlines before the reading begins.

--line-separator linesep
    set the line separator character to linesep. By default this is a semicolon.

--output-file outfile
    write output to the file outfile instead of to standard output; a file name of "-" stands for standard output.

EXAMPLES
   echo 33.3 44.4 | Conformal3Proj
   -5077732.396 3922571.859 1.1970343759
   echo -5077732.396 3922571.859 | Conformal3Proj -r
   33.30000000 44.40000000 1.1970343759

ERRORS
An illegal line of input will print an error message to standard output beginning with "ERROR:" and causes Conformal3Proj to return an exit code of 1. However, an error does not cause Conformal3Proj to terminate; following lines will be converted.

SEE ALSO
Ellipsoidal coordinates are documented in Section 2 of C. F. F. Karney, Jacobi's solution for geodesics on a triaxial ellipsoid, Technical Report, SRI International, Nov. 2025, <https://arxiv.org/abs/2511.nnnnn>.

The Wikipedia page, Geodesics on an ellipsoid, <https://en.wikipedia.org/wiki/Geodesics_on_an_ellipsoid>.

AUTHOR
Conformal3Proj was written by Charles Karney.

HISTORY
Conformal3Proj was added to GeographicLib, <https://geographiclib.sourceforge.io>, in version 2.6.